Uploaded image for project: 'Documentation'
  1. Documentation
  2. DOCS-13477

PHP Driver - Prerequisites section is missing in Installation Guide

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: drivers
    • Labels:
      None
    • Last comment by Customer:
      true
    • Story Points:
      1

      Description

      Description

      Install the MongoDB PHP Library documentation page provides a guide to install mongodb library.

      However, "Prerequisites" section should come before "Install the Library" chapter describing required dependencies.

      I suggest to place Prerequisites section with the following content:

      By default, the driver will use bundled versions of libbson and libmongoc. Then the driver will attempt to use an SSL library by searching for Secure Transport (macOS only), OpenSSL, and LibreSSL, in that order.

      If the build process fails to find an SSL library, check that the following libraries are installed:

      • SSL Library (i.e. openssl)
      • Development packages such as libssl-dev and pkg-config

      Thanks,
      Igal

      Scope of changes

      Impact to Other Docs

      MVP (Work and Date)

      Resources (Scope or Design Docs, Invision, etc.)

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              igal.rivin Igal Rivin
              Participants:
              Last commenter:
              Christopher Cho Christopher Cho
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since reply:
                1 year, 13 weeks, 1 day ago
                Date of 1st Reply: